//+-----------------------------------------------------------------------------+
//| Copyright (C) 2013 REGEO (http://www.regeo.uji.es/)
//|
//| This program is free software
//| You can redistribute it and/or modify it under the terms of the GNU General Public License,
//| as published by the Free Software Foundation.
//| 
//| This program is distributed in the hope that it will be useful,
//| but WITHOUT ANY WARRANTY; without even the implied warranty of
//| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//+----------------------------------------------------------------------------*/
#include <cmath>
#include <cassert>
#include <algorithm>  // max

#include "Arc.h"


CArc::CArc()
{
	Clear();
}


CArc::CArc(const CArc &A)
:
Centre_x (A.Centre_x),
Centre_y (A.Centre_y),
Radius_a (A.Radius_a),
Radius_b (A.Radius_b),
Rotation (A.Rotation),
Focus1_x (A.Focus1_x),
Focus1_y (A.Focus1_y),
Focus2_x (A.Focus2_x),
Focus2_y (A.Focus2_y),

StartAngle (A.StartAngle),
EndAngle (A.EndAngle),
GapEnds (A.GapEnds),

//T0_x (A.T0_x),
//T0_y (A.T0_y),
//TM_x (A.TM_x),
//TM_y (A.TM_y),
//T1_x (A.T1_x),
//T1_y (A.T1_y),

ColorR (A.ColorR),
ColorG (A.ColorG),
ColorB (A.ColorB),
Style (A.Style)

{
}


void CArc::Clear()
{
	Centre_x= 0.;
	Centre_y= 0.;
	Radius_a= 0.;
	Radius_b= 0.;
	Rotation= 0.;
	Focus1_x= 0.;
	Focus1_y= 0.;
	Focus2_x= 0.;
	Focus2_y= 0.;

	StartAngle= 0.;
	EndAngle= 0.;
	GapEnds= 0.;

	ColorR= 0;
	ColorG= 0;
	ColorB= 0;
	Style= VISIBLE;
}


CArc::~CArc()
{
}
