//+-----------------------------------------------------------------------------+
//| Copyright (C) 2013 REGEO (http://www.regeo.uji.es/)
//|
//| This program is free software
//| You can redistribute it and/or modify it under the terms of the GNU General Public License,
//| as published by the Free Software Foundation.
//| 
//| This program is distributed in the hope that it will be useful,
//| but WITHOUT ANY WARRANTY; without even the implied warranty of
//| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//+----------------------------------------------------------------------------*/

#ifndef ARC_VISITED
	#define ARC_VISITED

	enum LINE_VISIBILITY{
		VISIBLE,
		HIDDEN,
		SEMI_HIDDEN,
		UNDEFINED
	};

	class CArc
	// Arc defined by 
	//	the centre (x,y)
	//	the radius (for the particular case of a circle)
	//	the semi-axes lengths (a, b)
	//	the counterclockwise angle of rotation from the x-axis to the major axis
	// It may contain some attributes and flags:
	//		RGB colour codes
	//		Style of line
	{
		public:
			double Centre_x;
			double Centre_y;
			double Radius_a;
			double Radius_b;
			double Rotation;
			double Focus1_x;
			double Focus1_y;
			double Focus2_x;
			double Focus2_y;

			double StartAngle;  //Relative to the local system. Absolute angle is StrarAngle+Rotation
			double EndAngle;  //Relative to the local system. Absolute angle is EndAngle+Rotation
			double GapEnds;

			//double T0_x;
			//double T0_y;
			//double TM_x;
			//double TM_y;
			//double T1_x;
			//double T1_y;

			int ColorR, ColorG, ColorB;
			LINE_VISIBILITY Style;

		public:
			CArc();
			CArc(const CArc &A);
			void Clear();
			~CArc();
	};

#endif  //ARC_VISITED
