// Fitting ellipses test program in C++

#include <vector>
#include <fstream>
#include <string>
#include "Tools_Geometry.h"

#include "Arc.h"
#include "Stroke.h"
#include "FitEllipse.h"

int main()
{
	// Reads "stk" type 'file's
	//-------------------------
	// Opens the file
	std::ifstream in ("example.stk");

	if (!in.is_open ()) {
		//AfxMessageBox("Failure opening file in InOutSketch::readSketch");
	};

	std::string linea;
	char aux[30];
	long numS, numP;

	// Checks heading and gets the number of strokes
	getline(in, linea);
	if (linea!= "REFER SKETCH") return false;
	getline(in, linea);
	sscanf_s(linea.c_str(), "%s %d", &aux, sizeof(aux), &numS);

	float point_x, point_y, point_time;
	//for (long istroke= 0; istroke < numS; istroke++){
		long istroke= 0; //Only the first stroke is read
		getline(in, linea);
		getline(in, linea);
		sscanf_s(linea.c_str(), "%s %d", aux, sizeof(aux), &numP);

		// Loads the points of the current stroke
		std::vector<CStroke> Stroke;
		Stroke.push_back(CStroke());
		for (long ipoint= 0; ipoint < numP; ipoint++){
			getline(in, linea);
			sscanf_s(linea.c_str(), "%f %f %f", &point_x, &point_y, &point_time);

			CStrokePoint p(point_x, point_y, point_time);
			Stroke[0].AddPoint(p);
		}
	//}

	// Closes the file
	in.close();

	//Searches for elliptic arcs
	//--------------------------
	CArc Arc;

	CFitEllipse fit;
	double MeritArc= fit.GetMeritEllipse(Stroke[0], 0, 0, Arc);

}